import { messages } from '@cucumber/messages';
export declare type CiDict = {
    [name: string]: CiSystem;
};
export declare type EnvDict = {
    [name: string]: string | undefined;
};
export interface CiSystem {
    url: string;
    git: {
        remote: string | undefined;
        branch: string | undefined;
        revision: string | undefined;
        tag: string | undefined;
    };
}
export default function createMeta(toolName: string, toolVersion: string, envDict: EnvDict, ciDict?: CiDict): messages.Meta;
export declare function detectCI(ciDict: CiDict, envDict: EnvDict): messages.Meta.CI | undefined;
export declare function removeUserInfoFromUrl(value: string): string;
