/// <reference types="node" />
import stream from 'stream';
import { messages } from '@cucumber/messages';
export interface IAttachmentMedia {
    encoding: messages.Attachment.ContentEncoding;
    contentType: string;
}
export interface IAttachment {
    data: string;
    media: IAttachmentMedia;
}
export declare type IAttachFunction = (attachment: IAttachment) => void;
export declare type ICreateAttachment = (data: Buffer | stream.Readable | string, mediaType?: string, callback?: () => void) => void | Promise<void>;
export declare type ICreateLog = (text: string) => void | Promise<void>;
export default class AttachmentManager {
    private readonly onAttachment;
    constructor(onAttachment: IAttachFunction);
    log(text: string): void | Promise<void>;
    create(data: Buffer | stream.Readable | string, mediaType?: string, callback?: () => void): void | Promise<void>;
    createBufferAttachment(data: Buffer, mediaType: string): void;
    createStreamAttachment(data: stream.Readable, mediaType: string, callback: () => void): void | Promise<void>;
    createStringAttachment(data: string, media: IAttachmentMedia): void;
}
