/// <reference types="node" />
import { Readable } from 'stream';
import { messages } from '@cucumber/messages';
import ParserMessageStream from './ParserMessageStream';
import IGherkinOptions from '../IGherkinOptions';
declare function fromStream(stream: Readable, options: IGherkinOptions): ParserMessageStream;
declare function fromPaths(paths: ReadonlyArray<string>, options: IGherkinOptions): Readable;
declare function fromSources(envelopes: ReadonlyArray<messages.IEnvelope>, options: IGherkinOptions): Readable;
declare const _default: {
    fromPaths: typeof fromPaths;
    fromStream: typeof fromStream;
    fromSources: typeof fromSources;
};
export default _default;
