"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __values = (this && this.__values) || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m) return m.call(o);
    if (o && typeof o.length === "number") return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var GherkinQueryContext_1 = __importDefault(require("../../GherkinQueryContext"));
var CucumberQueryContext_1 = __importDefault(require("../../CucumberQueryContext"));
var SearchBar_1 = __importDefault(require("./SearchBar"));
var index_1 = require("../../index");
var NoMatchResult_1 = __importDefault(require("./NoMatchResult"));
var Search_1 = __importDefault(require("../../search/Search"));
var messages_1 = require("@cucumber/messages");
var filterByStatus_1 = __importDefault(require("../../filter/filterByStatus"));
var StatusesSummary_1 = __importDefault(require("./StatusesSummary"));
var countScenariosByStatuses_1 = __importDefault(require("../../countScenariosByStatuses"));
var ExecutionSummary_1 = __importDefault(require("./ExecutionSummary"));
var EnvelopesQueryContext_1 = __importDefault(require("../../EnvelopesQueryContext"));
var defaultDisplayedResults = [
    messages_1.messages.TestStepFinished.TestStepResult.Status.AMBIGUOUS,
    messages_1.messages.TestStepFinished.TestStepResult.Status.FAILED,
    messages_1.messages.TestStepFinished.TestStepResult.Status.PASSED,
    messages_1.messages.TestStepFinished.TestStepResult.Status.PENDING,
    messages_1.messages.TestStepFinished.TestStepResult.Status.SKIPPED,
    messages_1.messages.TestStepFinished.TestStepResult.Status.UNDEFINED,
];
var FilteredResults = function () {
    var e_1, _a;
    var gherkinQuery = react_1.default.useContext(GherkinQueryContext_1.default);
    var cucumberQuery = react_1.default.useContext(CucumberQueryContext_1.default);
    var allDocuments = gherkinQuery.getGherkinDocuments();
    var _b = __read(react_1.useState(''), 2), query = _b[0], setQuery = _b[1];
    var scenarioCountByStatus = countScenariosByStatuses_1.default(allDocuments, gherkinQuery, cucumberQuery);
    var _c = __read(react_1.useState(defaultDisplayedResults.filter(function (status) {
        return scenarioCountByStatus.get(status);
    })), 2), displayedStatuses = _c[0], setDisplayedStatuses = _c[1];
    var search = new Search_1.default(gherkinQuery);
    try {
        for (var allDocuments_1 = __values(allDocuments), allDocuments_1_1 = allDocuments_1.next(); !allDocuments_1_1.done; allDocuments_1_1 = allDocuments_1.next()) {
            var gherkinDocument = allDocuments_1_1.value;
            search.add(gherkinDocument);
        }
    }
    catch (e_1_1) { e_1 = { error: e_1_1 }; }
    finally {
        try {
            if (allDocuments_1_1 && !allDocuments_1_1.done && (_a = allDocuments_1.return)) _a.call(allDocuments_1);
        }
        finally { if (e_1) throw e_1.error; }
    }
    var matches = query === '' ? allDocuments : search.search(query);
    var filtered = matches
        .map(function (document) {
        return filterByStatus_1.default(document, gherkinQuery, cucumberQuery, displayedStatuses);
    })
        .filter(function (document) { return document !== null; });
    var envelopesQuery = react_1.default.useContext(EnvelopesQueryContext_1.default);
    var meta = envelopesQuery.find(function (envelope) { return envelope.meta !== null; }).meta;
    return (react_1.default.createElement("div", { className: "cucumber-filtered-results" },
        react_1.default.createElement("div", { className: "cucumber-report-header" },
            react_1.default.createElement(StatusesSummary_1.default, { scenarioCountByStatus: scenarioCountByStatus }),
            react_1.default.createElement(ExecutionSummary_1.default, { meta: meta }),
            react_1.default.createElement(SearchBar_1.default, { queryUpdated: function (query) { return setQuery(query); }, statusesUpdated: function (statuses) { return setDisplayedStatuses(statuses); }, enabledStatuses: displayedStatuses, scenarioCountByStatus: scenarioCountByStatus })),
        react_1.default.createElement(index_1.GherkinDocumentList, { gherkinDocuments: filtered }),
        react_1.default.createElement(NoMatchResult_1.default, { query: query, matches: filtered })));
};
exports.default = FilteredResults;
//# sourceMappingURL=FilteredResults.js.map