"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Tags_1 = __importDefault(require("./Tags"));
var IdGenerator_1 = __importDefault(require("../../IdGenerator"));
var Description_1 = __importDefault(require("./Description"));
var Scenario_1 = __importDefault(require("./Scenario"));
var Rule_1 = __importDefault(require("./Rule"));
var Background_1 = __importDefault(require("./Background"));
var FeatureTitle_1 = __importDefault(require("./FeatureTitle"));
var generator = new IdGenerator_1.default();
var Feature = function (_a) {
    var feature = _a.feature;
    var idGenerated = generator.generate(feature.name);
    return (react_1.default.createElement("section", { className: "cucumber-feature" },
        react_1.default.createElement(Tags_1.default, { tags: feature.tags }),
        react_1.default.createElement(FeatureTitle_1.default, { id: idGenerated, feature: feature }),
        feature.description ? (react_1.default.createElement(Description_1.default, { description: feature.description })) : null,
        react_1.default.createElement("div", { className: "cucumber-children" }, (feature.children || []).map(function (child, index) {
            if (child.background) {
                return react_1.default.createElement(Background_1.default, { key: index, background: child.background });
            }
            else if (child.scenario) {
                return react_1.default.createElement(Scenario_1.default, { key: index, scenario: child.scenario });
            }
            else if (child.rule) {
                return react_1.default.createElement(Rule_1.default, { key: index, rule: child.rule });
            }
            else {
                throw new Error('Expected background, scenario or rule');
            }
        }))));
};
exports.default = Feature;
//# sourceMappingURL=Feature.js.map