"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var messages_1 = require("@cucumber/messages");
var CucumberQueryContext_1 = __importDefault(require("../../CucumberQueryContext"));
var ErrorMessage_1 = __importDefault(require("./ErrorMessage"));
var StepContainer_1 = __importDefault(require("./StepContainer"));
var Attachment_1 = __importDefault(require("./Attachment"));
var HookStep = function (_a) {
    var step = _a.step;
    var cucumberQuery = react_1.default.useContext(CucumberQueryContext_1.default);
    var stepResult = cucumberQuery.getWorstTestStepResult(cucumberQuery.getTestStepResults(step.id));
    var hook = cucumberQuery.getHook(step.hookId);
    var attachments = cucumberQuery.getTestStepsAttachments([step.id]);
    if (stepResult.status === messages_1.messages.TestStepFinished.TestStepResult.Status.FAILED) {
        var location_1 = hook.sourceReference.location
            ? hook.sourceReference.uri + ':' + hook.sourceReference.location.line
            : hook.sourceReference.javaMethod
                ? hook.sourceReference.javaMethod.className +
                    '.' +
                    hook.sourceReference.javaMethod.methodName
                : 'Unknown location';
        return (react_1.default.createElement(StepContainer_1.default, { status: stepResult.status },
            react_1.default.createElement("h3", null,
                "Hook failed: ",
                location_1),
            stepResult.message && react_1.default.createElement(ErrorMessage_1.default, { message: stepResult.message }),
            attachments.map(function (attachment, i) { return (react_1.default.createElement(Attachment_1.default, { key: i, attachment: attachment })); })));
    }
    if (attachments) {
        return (react_1.default.createElement("li", { className: "cucumber-step" }, attachments.map(function (attachment, i) { return (react_1.default.createElement(Attachment_1.default, { key: i, attachment: attachment })); })));
    }
};
exports.default = HookStep;
//# sourceMappingURL=HookStep.js.map